linux: 2.6.32-42.95 -proposed tracker

Bug #1027831 reported by Luis Henriques on 2012-07-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Prepare-package-ports-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-41.95 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 23. July 2012 09:24 UTC
kernel-stable-Prepare-package-end:Wednesday, 25. July 2012 23:34 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 25. July 2012 23:34 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 26. July 2012 10:45 UTC
kernel-stable-Verification-testing-start:Thursday, 26. July 2012 11:46 UTC
kernel-stable-Verification-testing-end:Monday, 30. July 2012 14:45 UTC
kernel-stable-Certification-testing-start:Monday, 30. July 2012 14:45 UTC
kernel-stable-Security-signoff-start:Monday, 30. July 2012 14:45 UTC
kernel-stable-Regression-testing-start:Monday, 30. July 2012 14:45 UTC
kernel-stable-Security-signoff-end:Tuesday, 31. July 2012 21:45 UTC
kernel-stable-Certification-testing-end:Thursday, 02. August 2012 08:15 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 07. August 2012 23:15 UTC
kernel-stable-Regression-testing-end:Tuesday, 07. August 2012 23:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 10. August 2012 00:31 UTC
kernel-stable-Promote-to-updates-end:Friday, 10. August 2012 00:31 UTC

CVE References

Luis Henriques (henrix) on 2012-07-23
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Luis Henriques (henrix) on 2012-07-24
summary: - linux: 2.6.32-41.95 -proposed tracker
+ linux: 2.6.32-42.95 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1029177

description: updated
Adam Conrad (adconrad) wrote :

Accepted into -proposed, and overrides adjusted.

Brad Figg (brad-figg) on 2012-07-26
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-image-2.6.32-42-preempt 2.6.32-42.95 - is in main instead of universe
linux-backports-modules-alsa-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.34-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.35-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.36-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.37-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.38-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.39-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-3.0.0-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-3.1-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-3.2-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-compat-wireless-3.3-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-input-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-backports-modules-wwan-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe
linux-headers-lbm-2.6.32-42-preempt 2.6.32-42.44 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Adam Conrad (adconrad) wrote :

Overrides fixed, but just missed a publisher run, so should be fixed in ~60m.

Brad Figg (brad-figg) on 2012-07-26
description: updated
Brad Figg (brad-figg) on 2012-07-26
description: updated
Luis Henriques (henrix) wrote :

SRUs verified, moving to testing.

Brad Figg (brad-figg) on 2012-07-30
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-07-31
description: updated

Hardware Certification have begun testing this -proposed kernel

Hardware Certification has completed testing on 42/43 systems with the -proposed kernel. One system is known to not be accessible. No regressions were observed and the report is available at: http://people.canonical.com/~hwcert/sru-testing/wk31_2012/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-08-02
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-08-07
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Adam Conrad (adconrad) wrote :

Released to both -updates and -security.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-42.95

---------------
linux (2.6.32-42.95) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1027831

  [ Upstream Kernel Changes ]

  * hugetlb: fix resv_map leak in error path
    - LP: #1004621
    - CVE-2012-2390
  * mm: fix vma_resv_map() NULL pointer
    - LP: #1004621
    - CVE-2012-2390
  * net: sock: validate data_len before allocating skb in
    sock_alloc_send_pskb()
    - LP: #1006622
    - CVE-2012-2136
  * 2.6.32.x: ntp: Fix leap-second hrtimer livelock
    - LP: #1020285
  * 2.6.32.x: ntp: Correct TAI offset during leap second
    - LP: #1020285
  * 2.6.32.x: timekeeping: Fix CLOCK_MONOTONIC inconsistency during
    leapsecond
    - LP: #1020285
  * 2.6.32.x: time: Move common updates to a function
    - LP: #1020285
  * 2.6.32.x: hrtimer: Provide clock_was_set_delayed()
    - LP: #1020285
  * 2.6.32.x: timekeeping: Fix leapsecond triggered load spike issue
    - LP: #1020285
  * 2.6.32.x: timekeeping: Maintain ktime_t based offsets for hrtimers
    - LP: #1020285
  * 2.6.32.x: hrtimers: Move lock held region in hrtimer_interrupt()
    - LP: #1020285
  * 2.6.32.x: timekeeping: Provide hrtimer update function
    - LP: #1020285
  * 2.6.32.x: hrtimer: Update hrtimer base offsets each hrtimer_interrupt
    - LP: #1020285
  * 2.6.32.x: timekeeping: Add missing update call in timekeeping_resume()
    - LP: #1020285
 -- Luis Henriques <email address hidden> Tue, 24 Jul 2012 16:34:35 +0100

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers